// Copyright IBM Corp. 2016. All Rights Reserved.
// Node module: apiconnect
// US Government Users Restricted Rights - Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

/**
 * @typedef Topic
 * @type Object
 * @property {string} name single noun representing this topic.
 * @property {string} description one line description of this topic.
 * @property {boolean} visible A topic can be hidden if all its commands are
 * aliased.
 * @property {Array.<Command>} commands array of commands.
 */

/**
 * @typedef Command
 * @type Object
 * @property {string} [type] Optional type argument which is used to specify the
 * target (artifact/server-type etc.) for this command.
 * @property {string} command command line for this command. Based on node
 * commander syntax. Eg: 'verb <required> [optional] [variadic ...]'.
 * @property {Array.<string>} aliases List of aliases for this command.
 * @property {Array.<string>} options options flags for command line.
 * Eg: ['-v, --version', '-v, --value with-value']
 * @property {function} helpInfo function which returns a help file message for
 * this command. Function can optionally return a promise which resolves to the
 * help message.
 * @property {function} action function which runs this command.
 */

/**
 * Returns a list of Topics provided by this plugin.
 *
 * @return Array.<Topic>
 */
exports.getTopics = function() {
  return [];
};
